fuss-manager - Segnalazione #781

socket.gethostby* bloccanti
03/28/2019 04:03 PM - Enrico Zini

Status: Chiuso Start date: 03/28/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9 Consolidamento

Resolution:

Description

In manager/stores.py le funzioni ip_to_name e name_to_ip usano socket.gethostbyname e socket.gethostbyaddr che sono chiamate
bloccanti, e fermano il web server fino alla risposta da parte del DNS.

Sarebbero da sostituire con versioni asincrone (per esempio tornado.netutil.Resolver o aiodns)

Associated revisions

Revision 42a8b7da - 06/27/2019 10:36 AM - Elena Grandi

Use aiodns to query hosts by name. refs #781

Revision 723e057b - 06/27/2019 11:42 AM - Elena Grandi
Added new dependency: aiodns. refs: #781

Revision 8953e73c - 06/28/2019 02:09 PM - Enrico Zini

Sync with master. refs: #781

Revision b8ad3285 - 06/28/2019 02:09 PM - Enrico Zini
Merged #781. Closes: #781

History

#1 - 06/27/2019 11:41 AM - Elena Grandi
- Status changed from Nuovo to In elaborazione

- Assignee set to Enrico Zini

Fatta name_to_ip nel branch t781 (che e funzionante e si potrebbe gia mergiare).

Per ip_to_name sto avendo problemi a farlo con aiodns (e non mi pare che lo faccia neanche tornado.netutil. Resolver); dato che la nuova versione di
aiodns lo fa, credo che valga la pena aspettare la release di debian e vedere se aiodns viene aggiornato nella nuova testing farne backport.

Riassegno per eventuale merge parziale e per opinione sul piano, poi mi si puo riassegnare il ticket per proseguire.

#2 - 06/28/2019 02:09 PM - Enrico Zini

- Status changed from In elaborazione to Chiuso

Fatto merge in master.
